%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Glob.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Sys-GNU-ldconfig
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Search for shared libraries
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GW/GWYN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Sys::GNU::ldconfig reproduces the logic used by ldconfig and ld.so to find a
shared library (.so or .dll).  It is intended for modules like PAR::Packer, 
that repackage code.

Sys::GNU::ldconfig will search the following places in order for a shared library:

=over 4

=item LD_LIBRARY_PATH

This is a colon `:' seperated list of directories.  Because it is named differently
on some systems, ld_lookup uses `$Config::Config{ldlibpthname}'.

=item /etc/ld.so.conf

This file contains a list of directories to search.  Directories are
seperated by comma (`,'), space (` '), colon (`:') or newline (`\n'). 
May also contain an "include" directive, which is a file glob of other
config files to include.

=item Trusted directories

    /lib64
    /lib
    /usr/lib64
    /lib

These directories are hardcoded into the ldconfig manpage.

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/S*

%changelog
* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

